X509CRL
Date: 2016-06-24

java.security.cert

## Class X509CRL

- java.lang.Object
- - java.security.cert.CRL
  - - java.security.cert.X509CRL

- All Implemented Interfaces:
    X509Extension

      public abstract class X509CRL
      extends CRL
      implements X509Extension

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `X509CRL()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract byte[]` | `getEncoded()`
    `abstract Principal` | `getIssuerDN()`
    `X500Principal` | `getIssuerX500Principal()`
    `abstract Date` | `getNextUpdate()`
    `abstract X509CRLEntry` | `getRevokedCertificate(BigInteger var0)`
    `abstract Set` | `getRevokedCertificates()`
    `abstract String` | `getSigAlgName()`
    `abstract String` | `getSigAlgOID()`
    `abstract byte[]` | `getSigAlgParams()`
    `abstract byte[]` | `getSignature()`
    `abstract byte[]` | `getTBSCertList()`
    `abstract Date` | `getThisUpdate()`
    `abstract int` | `getVersion()`
    `abstract void` | `verify(PublicKey var0)`
    `abstract void` | `verify(PublicKey var0, String var1)`

    - ### Methods inherited from class java.security.cert.CRL

      `getType, isRevoked, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.cert.X509Extension

      `getCriticalExtensionOIDs, getExtensionValue, getNonCriticalExtensionOIDs, hasUnsupportedCriticalExtension`

- - ### Constructor Detail

    - #### X509CRL

          protected X509CRL()

  - ### Method Detail

    - #### getEncoded

          public abstract byte[] getEncoded()
                                     throws CRLException

      Throws:
        `CRLException`

    - #### getIssuerDN

          public abstract Principal getIssuerDN()

    - #### getIssuerX500Principal

          public X500Principal getIssuerX500Principal()

    - #### getNextUpdate

          public abstract Date getNextUpdate()

    - #### getRevokedCertificate

          public abstract X509CRLEntry getRevokedCertificate(BigInteger var0)

    - #### getRevokedCertificates

          public abstract Set getRevokedCertificates()

    - #### getSigAlgName

          public abstract String getSigAlgName()

    - #### getSigAlgOID

          public abstract String getSigAlgOID()

    - #### getSigAlgParams

          public abstract byte[] getSigAlgParams()

    - #### getSignature

          public abstract byte[] getSignature()

    - #### getTBSCertList

          public abstract byte[] getTBSCertList()
                                         throws CRLException

      Throws:
        `CRLException`

    - #### getThisUpdate

          public abstract Date getThisUpdate()

    - #### getVersion

          public abstract int getVersion()

    - #### verify

          public abstract void verify(PublicKey var0)
                               throws InvalidKeyException,
                                      NoSuchAlgorithmException,
                                      NoSuchProviderException,
                                      SignatureException,
                                      CRLException

      Throws:
        `InvalidKeyException`
        `NoSuchAlgorithmException`
        `NoSuchProviderException`
        `SignatureException`
        `CRLException`

    - #### verify

          public abstract void verify(PublicKey var0,
                    String var1)
                               throws InvalidKeyException,
                                      NoSuchAlgorithmException,
                                      NoSuchProviderException,
                                      SignatureException,
                                      CRLException

      Throws:
        `InvalidKeyException`
        `NoSuchAlgorithmException`
        `NoSuchProviderException`
        `SignatureException`
        `CRLException`